Package org.silverpeas.components.kmelia.model

# Class StatsFilterVO

java.lang.Object
org.silverpeas.components.kmelia.model.StatsFilterVO

public class StatsFilterVO extends Object
This class aims to centralize statistic filter parameters. Mandatory parameter are given with the StatsFilterVO default constructor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatsFilterVO(String instanceId, Integer topicId, Date startDate, Date endDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getEndDate()`
  `Integer`
  `getGroupId()`
  `String`
  `getInstanceId()`
  `Date`
  `getStartDate()`
  `Integer`
  `getTopicId()`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setGroupId(Integer groupId)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setStartDate(Date startDate)`
  `void`
  `setTopicId(Integer topicId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatsFilterVO

    public StatsFilterVO(String instanceId, Integer topicId, Date startDate, Date endDate)

- ## Method Details

  - ### getInstanceId

    public String getInstanceId()
    Returns:
      the instanceId

  - ### setInstanceId

    public void setInstanceId(String instanceId)
    Parameters:
      `instanceId` - the instanceId to set

  - ### getTopicId

    public Integer getTopicId()
    Returns:
      the topicId

  - ### setTopicId

    public void setTopicId(Integer topicId)
    Parameters:
      `topicId` - the topicId to set

  - ### getStartDate

    public Date getStartDate()
    Returns:
      the startDate

  - ### setStartDate

    public void setStartDate(Date startDate)
    Parameters:
      `startDate` - the startDate to set

  - ### getEndDate

    public Date getEndDate()
    Returns:
      the endDate

  - ### setEndDate

    public void setEndDate(Date endDate)
    Parameters:
      `endDate` - the endDate to set

  - ### getGroupId

    public Integer getGroupId()
    Returns:
      the groupId

  - ### setGroupId

    public void setGroupId(Integer groupId)
    Parameters:
      `groupId` - the groupId to set